<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

require_once './common_init.php';
$menu = empty($_POST['menu']) ? '' : $_POST['menu'];
if ($menu == 'del') {
    $ids = empty($_POST['ids']) ? '' : inSql($_POST['ids']);
    $ids || die('什么冤什么仇，让我删空气？');
    $good_ids = '';
    $id_array = explode(' ', $ids);
    foreach ($id_array as $id) {
        if (preg_match('/^([0-9]){1,10}$/', $id)) {
            $good_ids .= '\'' . $id . '\',';
        }
    }
    $good_ids = rtrim($good_ids, ',');
    $good_ids || die('什么冤什么仇，让我删空气？？');
    $query = "SELECT id FROM `${cfg_dbprefix}admin_power` WHERE id in (${good_ids});";
    $good_ids = '';
    if ($result = $nxsql->query($query)) {
        while ($row = $result->fetch_row()) {
            $id = $row[0];
            $good_ids .= '\'' . $id . '\',';
        }
        $result->close();
        $good_ids = rtrim($good_ids, ',');
        $good_ids || die('出错啦！合法输入为空！没有任何被删除！');
        $query = "DELETE FROM `${cfg_dbprefix}admin_power` WHERE id in (${good_ids});";
        $nxsql->query($query);
        $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
        $nxsql->inLog('删除权限组：' . $good_ids);
        exit('1');
    }
    exit('没有任何数据被删除！');
}
